mixin product(data)
	- data = data || {};

	+b.product(
		class= data.simple ? "_simple" : ""
		class= data.small ? "_small" : ""
		class= data.add ? "_add" : ""
		class= data.info ? "_info" : ""
		class= data.notAvailable ? "_not-available" : ""
		class= "_" + data.type || "milk"
		class= data.promo ? "_promo" : ""
		class= data.promo ? "_promo-" + data.promo : ""
		data-url= data.url
		href= data.link || jv0
	).A.js-product&attributes(attributes)

		+e.wrap(class= data.notAvailable ? "_not-available" : "")
			if(data.collection)
				+e.collection
					+e.prop(
						class= "_collection"
					)= data.collection

			+e.img-wrap(class= data.notAvailable ? "_not-available" : "")
				+e.img.IMG(
					src= data.img.src
					alt= data.img.alt || ""
				)

			+e.prop-block
				if(data.notAvailable)
					+e.prop(
						class="_not-available"
					) Нет в наличии
				else
					if(data.new)
						+e.prop(
						class="_new"
						) Новинка!
					if(data.discount)
						+e.prop(
							class="_discount"
						)= "–" + data.discount + "%"
					if(data.try)
						+e.prop(
							class= "_try"
						)= data.try

			+e.price-wrap
				+e.price
					if(data.price.old)
						+e.price-old= data.price.old + " ₽"
					+e.price-cur= data.price.cur + " ₽"
					+e.price-weight= data.price.weight + " г"

		- obj = {}
		- obj["data-" + data.id] = 1
			+e.name
				+e.name-desc= data.desc
				+e.name-wrap
					+e.name-name= data.name
					if(data.notAvailable)
						+e.name-envelope(
							data-cc="1"
							data-msg="1"
							data-success="0"
						).js-product-remind
							+icon({icon: "envelope"}).product__name-envelope-icon
							+e.name-envelope-text.js-product-button-text
								=	'Уведомить\nо поступлении'
					else
						+e.name-cart(
							data-json="1"
							data-cart_mode="add"
						).js-product-add&attributes(obj)
							+icon({icon: "cart"}).product__name-cart-icon
							+e.name-cart-text Быстрая покупка
